
Application: gvSIG desktop - gvSIG bugs #4501
Windows 7 y 10 muestran un mensaje al terminar de instalar la aplicación
Status: New % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: Installer
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: 2823 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Windows 7 y 10 muestran un mensaje al terminar de instalar la aplicación (adjunto imagen).

En este enlace hablan del tema:
https://stackoverflow.com/questions/9229581/how-to-do-vista-uac-aware-self-extract-installer

De paso, ya que se va a tocar el instalador resolver también el tique relacionado #4491

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4491: El icono y propied... Closed 06/14/2017

History
#1 - 06/16/2017 11:15 AM - Francisco Díaz Carsí
- Related to gvSIG bugs #4491: El icono y propiedades del instalador de windows no son los correctos. added

#2 - 06/16/2017 01:08 PM - Álvaro Anguix

Por añadir un caso al que no le pasa...a mi con Windows 10 (la máquina virtual oficial de Microsoft) no me ocurre.

#3 - 06/16/2017 02:05 PM - Joaquín  del Cerro Murciano

Tiene que ver con la configuracion de compatibilidad con version anteriores de windows.
Estamos usando un ".sfx" compilado para una version anterior a windows 7.

#4 - 06/18/2017 08:42 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2825 (rev. org.gvsig.desktop-2.0.191)  to 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206)

#5 - 06/19/2017 09:23 AM - Francisco Díaz Carsí
- Target version changed from 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206) to 2.4.0-2826 (rev. org.gvsig.desktop-2.0.192) 
- Status changed from New to Fixed

#6 - 06/27/2017 03:05 PM - Álvaro Anguix
- Status changed from Fixed to Closed
#7 - 08/30/2017 05:21 PM - Antonio Falciano
- Target version changed from 2.4.0-2826 (rev. org.gvsig.desktop-2.0.192)  to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)
- Status changed from Closed to New

It happens again on Windows 7 in the latest builds (283*).

#8 - 09/22/2017 06:43 AM - Francisco Díaz Carsí

He podido reproducirlo. Lo que ocurre es que una vez que hemos decidido que "El programa está instalado correctamente" o "Reinstalar utilizando la
configuración recomendada", Windows se lo guarda en el registro y ya no nos lo vuelve a preguntar aunque reinstalemos un millón de veces el
programa (siempre que lo hagamos con el mismo archivo y no le hayamos cambiado el nombre).
Cuando lo arreglemos, para poder comprobar que sigue ocurriendo podemos borrar unas claves en el registro de Windows. Estas claves son:
Si le hemos dicho que "El programa está instalado correctamente":
    -  HKEY_CURRENT_USER\Software\Microsoft\Windows NT\CurrentVersion\AppCompatFlags\Compatibility Assistant\Persisted
Si le hemos dicho que "Reinstalar utilizando la configuración recomendada":
    -  HKEY_USERS\......\Software\Microsoft\Windows NT\CurrentVersion\AppCompatFlags\Layers

En todo caso, y mientras no tengamos una solución para esto, estaría bien indicar al usuario que debe escoger la opción de "El programa está
instalado correctamente"

#9 - 01/18/2018 08:01 PM - Joaquín  del Cerro Murciano
- Target version deleted (2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220))
